SEARCH

Enter your search query in the box above ^, or use the forum search tool.

You are not logged in.

#1 2014-11-28 19:19:13

Skava
Member
Registered: 2014-11-18
Posts: 22

How to run the graphical version of Cataclysm DDA

Hello all, sorry to post a trivial question but I'm struggling to run this game. The game is called Cataclysm Dark Days Ahead, there's a terminal version but I'd like to play the graphical version of the game. The game can be downloaded from their main website: http://en.cataclysmdda.com/
I got their stable linux release, extracted everything but I can't seem to run their executable from bash. I tried doing the following:

cataclysm-launcher
./cataclysm-launcher
sudo cataclysm-launcher
cataclysm-tiles
./cataclysm-tiles
sudo ./cataclysm-tiles

But I get an error message that says "bash: cataclysm-tiles: command not found". In terms of permission, I did "sudo chmod +x [filename]" for both, cataclysm-tiles and cataclysm-launcher but it doesn't seem to make a difference. Can someone help? This isn't the first program to cause me this problem, but if the solution to fix this current problem I'm having works, then I'll try to apply it to the other programs.

Offline

Help fund CrunchBang, donate to the project!

#2 2014-11-28 19:46:50

damo
#! gimpbanger
From: N51.5 W002.8 (mostly)
Registered: 2011-11-24
Posts: 5,434

Re: How to run the graphical version of Cataclysm DDA

Where do you have those executables? And are they in your $PATH?
Will it launch with eg

/bin/bash cataclysm-launcher

Those symptoms can occur if $HOME/bin isn't in your $PATH

Last edited by damo (2014-11-28 19:48:24)


BunsenLabs Group on deviantArt
damo's gallery on deviantArt
Openbox themes
Forum Moderator smile

Offline

#3 2014-11-28 20:23:43

Skava
Member
Registered: 2014-11-18
Posts: 22

Re: How to run the graphical version of Cataclysm DDA

I've downloaded the archive and extracted its contents in my downloads folder. Other than that I don't know why it won't work

Offline

#4 2014-11-28 20:30:50

damo
#! gimpbanger
From: N51.5 W002.8 (mostly)
Registered: 2011-11-24
Posts: 5,434

Re: How to run the graphical version of Cataclysm DDA

Skava wrote:

I've downloaded the archive and extracted its contents in my downloads folder. Other than that I don't know why it won't work

I've given you some things to check roll

echo $PATH

BunsenLabs Group on deviantArt
damo's gallery on deviantArt
Openbox themes
Forum Moderator smile

Offline

#5 2014-11-28 20:32:49

Skava
Member
Registered: 2014-11-18
Posts: 22

Re: How to run the graphical version of Cataclysm DDA

damo wrote:
Skava wrote:

I've downloaded the archive and extracted its contents in my downloads folder. Other than that I don't know why it won't work

I've given you some things to check roll

echo $PATH

I get the the following

/home/tareq/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games

Offline

#6 2014-11-28 20:38:25

damo
#! gimpbanger
From: N51.5 W002.8 (mostly)
Registered: 2011-11-24
Posts: 5,434

Re: How to run the graphical version of Cataclysm DDA

That looks OK. If one script is calling the other it may work if they are both in your ~/bin. You should be able to run it with just the name of the script then.

Check the ownership as well


BunsenLabs Group on deviantArt
damo's gallery on deviantArt
Openbox themes
Forum Moderator smile

Offline

#7 2014-11-28 20:41:57

Skava
Member
Registered: 2014-11-18
Posts: 22

Re: How to run the graphical version of Cataclysm DDA

So should I put both cataclysm-launcher and cataclysm-tiles files in the home/tareq/bin folder? Sorry, I'm still fairly new to crunchbang

Offline

#8 2014-11-28 20:53:50

Head_on_a_Stick
CatMod
From: A world of pure imagination
Registered: 2014-01-21
Posts: 4,797

Re: How to run the graphical version of Cataclysm DDA

If you navigate to the folder and run:

sh cataclysm-launcher

Does it work then?
If not, post the error message plz.

Offline

#9 2014-11-28 20:55:12

Skava
Member
Registered: 2014-11-18
Posts: 22

Re: How to run the graphical version of Cataclysm DDA

Nope that doesn't work, I get the following:

cataclysm-launcher: 19: cd: can't cd to /home/tareq/downloads/Cataclysm

Offline

#10 2014-11-28 20:58:46

Head_on_a_Stick
CatMod
From: A world of pure imagination
Registered: 2014-01-21
Posts: 4,797

Re: How to run the graphical version of Cataclysm DDA

Did you change directory to the one listed before you ran the command?

Offline

#11 2014-11-28 21:01:04

Skava
Member
Registered: 2014-11-18
Posts: 22

Re: How to run the graphical version of Cataclysm DDA

Nope, didn't move anything

Offline

#12 2014-11-28 21:02:29

boisei0
#! CrunchBanger
From: Gaanderen, Netherlands
Registered: 2013-07-16
Posts: 193

Re: How to run the graphical version of Cataclysm DDA

(Sorry to break in on this, HoaS)
That is some strange error message. As a test, I just downloaded Cataclysm DDA (0.B-2446) and looked at the launcher:

#!/bin/sh
TARGET_FILE=$0

cd `dirname $TARGET_FILE`
TARGET_FILE=`basename $TARGET_FILE`

# Iterate down a (possible) chain of symlinks
while [ -L $TARGET_FILE ]
do
    TARGET_FILE=`readlink $TARGET_FILE`
    cd `dirname $TARGET_FILE`
    TARGET_FILE=`basename $TARGET_FILE`
done

# Find the physical path and name of target file.
DIR=`pwd -P`
BIN=$(basename $0)

cd $DIR || exit $?

# If name does not match a binary or is this same script, find the right one
if [ ! -f $BIN ] || [ $BIN = "cataclysm-launcher" ]
then
    BIN=
    for bin in cataclysm-tiles cataclysm
    do
        [ -f $bin ] && BIN=$bin && break
    done
fi

if [ $BIN ]
then
    exec ./$BIN
else
    echo "Couldn't find cataclysm game binary in $DIR/"
    exit 1
fi

Was the error you got the exact same every time, or did this error message appear after you entered:

sudo chmod +x cataclysm-tiles

As it could be a permission problem, what is the output of

ls -al <path/to/where/you/put/cataclysm>

YAWS (cli weather script with conkyForecast syntax) | Bitbucket | Github | Blog
Member of the Unofficial #! Emergency Tinfoil Hat Distribution Center
Emergency Tinfoil Hat Conky Alert System development team

Offline

#13 2014-11-28 21:03:49

Head_on_a_Stick
CatMod
From: A world of pure imagination
Registered: 2014-01-21
Posts: 4,797

Re: How to run the graphical version of Cataclysm DDA

Open a terminal & type this:

cd ~/downloads/Cataclysm
sh cataclysm-launcher

@boisei0 -- please don't apologise!
I'm very glad to have your expert assistance big_smile

Last edited by Head_on_a_Stick (2014-11-28 21:05:48)

Offline

#14 2014-11-28 21:12:49

boisei0
#! CrunchBanger
From: Gaanderen, Netherlands
Registered: 2013-07-16
Posts: 193

Re: How to run the graphical version of Cataclysm DDA

Very strange indeed; just launched my writing machine aka test install, running Waldorf. I get the same error there. Points to line 33, the `exec ./$BIN` part. First it checks if the files exist, but when trying to run, they fail. Now to do some tests to see why. The cataclysm-tiles is a valid ELF 32 application.
Perhaps the strangest thing: on my Gentoo install, it runs without a problem.

Last edited by boisei0 (2014-11-28 21:13:57)


YAWS (cli weather script with conkyForecast syntax) | Bitbucket | Github | Blog
Member of the Unofficial #! Emergency Tinfoil Hat Distribution Center
Emergency Tinfoil Hat Conky Alert System development team

Offline

#15 2014-11-28 21:17:26

Skava
Member
Registered: 2014-11-18
Posts: 22

Re: How to run the graphical version of Cataclysm DDA

@boisei0
It didn't work even if I changed the the permissions. Anyway, I extracted the archive again the problem still persists. I ran the code you wanted and got the following:

drwxr-xr-x  6 tareq tareq    4096 Nov 17 03:42 .
drwxr-xr-x  3 tareq tareq    4096 Nov 28 20:59 ..
-rwxr-xr-x  1 tareq tareq     729 Nov 17 03:42 cataclysm-launcher
-rwxr-xr-x  1 tareq tareq 7470032 Nov 17 03:42 cataclysm-tiles
drwxr-xr-x 11 tareq tareq    4096 Nov 17 03:42 data
drwxr-xr-x 12 tareq tareq    4096 Nov 17 03:42 gfx
drwxr-xr-x  3 tareq tareq    4096 Nov 17 03:42 lang
drwxr-xr-x  2 tareq tareq    4096 Nov 17 03:42 lua
-rw-r--r--  1 tareq tareq    3237 Nov 17 03:42 README.md

@Head_on_a_stick
I tried that and I got the error

cataclysm-launcher: 19: cd: can't cd to /home/tareq/downloads/Cataclysm

Offline

#16 2014-11-28 21:23:38

boisei0
#! CrunchBanger
From: Gaanderen, Netherlands
Registered: 2013-07-16
Posts: 193

Re: How to run the graphical version of Cataclysm DDA

Found the problem (of the error message on line 33), I think, now to understand the cause. When the launcher script is slightly altered, it is able to perform actions on the cataclysm-tiles executable. The error message is the result of executing the cataclysm-tiles file. I'm off to compile a new one, to see if that solves the problem: file tells me it's dynamically linked, however ldd says it's not a valid dynamic executable.
I'll edit this post when I know more about this.


YAWS (cli weather script with conkyForecast syntax) | Bitbucket | Github | Blog
Member of the Unofficial #! Emergency Tinfoil Hat Distribution Center
Emergency Tinfoil Hat Conky Alert System development team

Offline

#17 2014-11-28 21:23:47

damo
#! gimpbanger
From: N51.5 W002.8 (mostly)
Registered: 2011-11-24
Posts: 5,434

Re: How to run the graphical version of Cataclysm DDA

if [ ! -f $BIN ] || [ $BIN = "cataclysm-launcher" ]
then
    BIN=
    for bin in cataclysm-tiles cataclysm
    do
        [ -f $bin ] && BIN=$bin && break
    done
fi

Is this valid code? What if it was changed to

BIN=""

BunsenLabs Group on deviantArt
damo's gallery on deviantArt
Openbox themes
Forum Moderator smile

Offline

#18 2014-11-28 21:28:35

Skava
Member
Registered: 2014-11-18
Posts: 22

Re: How to run the graphical version of Cataclysm DDA

Sorry Damo, were you asking me to do it?

Offline

#19 2014-11-28 21:43:15

damo
#! gimpbanger
From: N51.5 W002.8 (mostly)
Registered: 2011-11-24
Posts: 5,434

Re: How to run the graphical version of Cataclysm DDA

Skava wrote:

Sorry Damo, were you asking me to do it?

Not specifically smile It was a question towards the clever guys, but no reason why you can't try it yourself - you can always edit it again if it doesn't work.

(NB make a backup of the script first wink )


BunsenLabs Group on deviantArt
damo's gallery on deviantArt
Openbox themes
Forum Moderator smile

Offline

#20 2014-11-28 21:51:51

Skava
Member
Registered: 2014-11-18
Posts: 22

Re: How to run the graphical version of Cataclysm DDA

damo wrote:
Skava wrote:

Sorry Damo, were you asking me to do it?

Not specifically smile It was a question towards the clever guys, but no reason why you can't try it yourself - you can always edit it again if it doesn't work.

(NB make a backup of the script first wink )

Right, so I did it myself and I still get the same error that I mentioned previously (this time in a different folder):

cataclysm-launcher: 19: cd: can't cd to /home/tareq/downloads/Cataclysm

Offline

#21 2014-11-28 21:52:45

boisei0
#! CrunchBanger
From: Gaanderen, Netherlands
Registered: 2013-07-16
Posts: 193

Re: How to run the graphical version of Cataclysm DDA

The problem: Architecture
As I mentioned before, the executable is a ELF 32 executable, while you (and me) are (probably) on a amd64 installation of Waldorf. Doing a (quick) compilation from the Github master repository for amd64, will let you know if it works.

Edit:
What I just learned: I need a Jessie install to compile this one, as several dev packages for SDL are not available in the repos. I might try it on my Gentoo, but I'm unsure if it will work on Waldorf. Furthermore, nobody has mentioned compiling Cataclysm Tiles (graphical edition) for amd64 on their official forums. Everyone points to their i386 packages/files/etc. There is a layman available for Gentoo, so I'm gonna take the easy way. Again, I'll update this post with more details as soon as I find out.

Edit 2:
Fixed it for ya, have a test here: http://hubsec.eu/files/cataclysm-dda.tar.gz
(Screenshot)
Instructions:
Extract; launch cataclysm-tiles by clicking it or selecting execute from the right-mouse button menu. Command to execute: ./cataclysm-tiles (already executable). Any error messages, please post here and add the output of the following command, as you might need a library from backports. (libsdl2-2.0-0)

ldd cataclysm-tiles

Last edited by boisei0 (2014-11-28 22:37:20)


YAWS (cli weather script with conkyForecast syntax) | Bitbucket | Github | Blog
Member of the Unofficial #! Emergency Tinfoil Hat Distribution Center
Emergency Tinfoil Hat Conky Alert System development team

Offline

#22 2014-11-28 22:50:40

Skava
Member
Registered: 2014-11-18
Posts: 22

Re: How to run the graphical version of Cataclysm DDA

Thanks boisei0 but I'm still having trouble with it. Nothing happens when I execute the cataclysm-tiles program (right click, excute). When I tried to run it through command, I get this error:

./cataclysm-tiles: error while loading shared libraries: libSDL_ttf-2.0.so.0: cannot open shared object file: No such file or directory

Here's the second command that you asked for:

./cataclysm-tiles: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by ./cataclysm-tiles)
	linux-vdso.so.1 =>  (0x00007fff899ff000)
	libSDL-1.2.so.0 => /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0 (0x00007fe951184000)
	libSDL_ttf-2.0.so.0 => not found
	libSDL_image-1.2.so.0 => /usr/lib/x86_64-linux-gnu/libSDL_image-1.2.so.0 (0x00007fe950f65000)
	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fe950c5e000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fe9509dc000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fe9507c5000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fe950439000)
	libasound.so.2 => /usr/lib/x86_64-linux-gnu/libasound.so.2 (0x00007fe950145000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fe94ff40000)
	libpulse-simple.so.0 => /usr/lib/x86_64-linux-gnu/libpulse-simple.so.0 (0x00007fe94fd3b000)
	libpulse.so.0 => /usr/lib/x86_64-linux-gnu/libpulse.so.0 (0x00007fe94faf1000)
	libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007fe94f7b5000)
	libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007fe94f5a3000)
	libdirectfb-1.2.so.9 => /usr/lib/x86_64-linux-gnu/libdirectfb-1.2.so.9 (0x00007fe94f31e000)
	libfusion-1.2.so.9 => /usr/lib/x86_64-linux-gnu/libfusion-1.2.so.9 (0x00007fe94f113000)
	libdirect-1.2.so.9 => /usr/lib/x86_64-linux-gnu/libdirect-1.2.so.9 (0x00007fe94eefb000)
	libcaca.so.0 => /usr/lib/x86_64-linux-gnu/libcaca.so.0 (0x00007fe94ee2e000)
	libts-0.0.so.0 => /usr/lib/x86_64-linux-gnu/libts-0.0.so.0 (0x00007fe94ec2a000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fe94ea0e000)
	libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007fe94e7e7000)
	libjpeg.so.8 => /usr/lib/x86_64-linux-gnu/libjpeg.so.8 (0x00007fe94e5ac000)
	libtiff.so.4 => /usr/lib/x86_64-linux-gnu/libtiff.so.4 (0x00007fe94e346000)
	libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007fe94e12f000)
	libwebp.so.2 => /usr/lib/x86_64-linux-gnu/libwebp.so.2 (0x00007fe94e0f3000)
	/lib64/ld-linux-x86-64.so.2 (0x00007fe951434000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fe94deeb000)
	libpulsecommon-2.0.so => /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-2.0.so (0x00007fe94dc87000)
	libcap.so.2 => /lib/x86_64-linux-gnu/libcap.so.2 (0x00007fe94da83000)
	libjson.so.0 => /lib/x86_64-linux-gnu/libjson.so.0 (0x00007fe94d879000)
	libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007fe94d632000)
	libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007fe94d412000)
	libslang.so.2 => /lib/x86_64-linux-gnu/libslang.so.2 (0x00007fe94d07b000)
	libncursesw.so.5 => /lib/x86_64-linux-gnu/libncursesw.so.5 (0x00007fe94ce4b000)
	libtinfo.so.5 => /lib/x86_64-linux-gnu/libtinfo.so.5 (0x00007fe94cc22000)
	libjbig.so.0 => /usr/lib/x86_64-linux-gnu/libjbig.so.0 (0x00007fe94ca13000)
	libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007fe94c812000)
	libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007fe94c5f7000)
	libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007fe94c3ef000)
	libXtst.so.6 => /usr/lib/x86_64-linux-gnu/libXtst.so.6 (0x00007fe94c1ea000)
	libwrap.so.0 => /lib/x86_64-linux-gnu/libwrap.so.0 (0x00007fe94bfdf000)
	libsndfile.so.1 => /usr/lib/x86_64-linux-gnu/libsndfile.so.1 (0x00007fe94bd77000)
	libasyncns.so.0 => /usr/lib/x86_64-linux-gnu/libasyncns.so.0 (0x00007fe94bb72000)
	libattr.so.1 => /lib/x86_64-linux-gnu/libattr.so.1 (0x00007fe94b96d000)
	libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007fe94b769000)
	libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007fe94b564000)
	libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007fe94b35e000)
	libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007fe94b14f000)
	libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007fe94af37000)
	libFLAC.so.8 => /usr/lib/x86_64-linux-gnu/libFLAC.so.8 (0x00007fe94acea000)
	libvorbisenc.so.2 => /usr/lib/x86_64-linux-gnu/libvorbisenc.so.2 (0x00007fe94a81b000)
	libvorbis.so.0 => /usr/lib/x86_64-linux-gnu/libvorbis.so.0 (0x00007fe94a5ee000)
	libogg.so.0 => /usr/lib/x86_64-linux-gnu/libogg.so.0 (0x00007fe94a3e7000)
	libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007fe94a1d1000)

I think it's as you said, I'm missing a library

Offline

#23 2014-11-28 22:55:13

Head_on_a_Stick
CatMod
From: A world of pure imagination
Registered: 2014-01-21
Posts: 4,797

Re: How to run the graphical version of Cataclysm DDA

Skava wrote:
./cataclysm-tiles: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by ./cataclysm-tiles)

It won't work in a standard Waldorf/wheezy install.

You could try the experimental backported libc6 version 2.17:
http://crunchbang.org/forums/viewtopic.php?id=37539

@boisei0 -- did you try that backport? Any problems yet?

Offline

#24 2014-11-28 23:03:47

Skava
Member
Registered: 2014-11-18
Posts: 22

Re: How to run the graphical version of Cataclysm DDA

Don't really want to install another OS, since I just settled on Waldorf :s

Offline

Help fund CrunchBang, donate to the project!

#25 2014-11-28 23:18:37

Head_on_a_Stick
CatMod
From: A world of pure imagination
Registered: 2014-01-21
Posts: 4,797

Re: How to run the graphical version of Cataclysm DDA

^ Read the link I posted -- there is a risk, but you can install that version in #!

It does look like you need "libSDL_ttf-2.0.so.0" as well, whatever that is...

Offline

Board footer

Powered by FluxBB

Copyright © 2012 CrunchBang Linux.
Proudly powered by Debian. Hosted by Linode.
Debian is a registered trademark of Software in the Public Interest, Inc.
Server: acrobat

Debian Logo